Webhook-Endpunkte
Die Endpunkte dieser Endpunktberechtigung finden Sie im Controller "WebHook".
Webhooks abrufen
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
webHookIdinteger · int32Optional
showNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
Namestring · nullableOptional
SystemPurposestring · nullableOptional
Urlstring · nullableOptional
ActivebooleanOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/WebHook/WebHook
GET /openwowi/v1.2/WebHook/WebHook HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"Name": "text",
"SystemPurpose": "text",
"Url": "text",
"Active": true,
"Source": {
"Id": 1,
"Code": "text",
"EntityName": "text"
},
"AuthType": {
"Id": 1,
"Code": "text"
}
}
]Webhooks ändern
Version 1.2
put
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
Body
Idinteger · int32Optional
Urlstring · nullableOptional
ActivebooleanOptional
AuthenticationTypeIdinteger · int32Optional
Antworten
200
OK
Idinteger · int32Optional
Namestring · nullableOptional
400
Bad Request
401
Unauthorized
put/openwowi/v1.2/WebHook/WebHook/Change
PUT /openwowi/v1.2/WebHook/WebHook/Change HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 198
{
"Id": 1,
"Url": "text",
"Active": true,
"AuthenticationTypeId": 1,
"AuthBearer": {
"BearerToken": "text"
},
"AuthBasic": {
"User": "text",
"Password": "text"
},
"AuthCustom": {
"HeaderName": "text",
"HeaderValue": "text"
}
}{
"Id": 1,
"Name": "text"
}Webhooks testen
Version 1.2
post
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
Body
Idinteger · int32Optional
Antworten
200
OK
Idinteger · int32Optional
Namestring · nullableOptional
400
Bad Request
401
Unauthorized
post/openwowi/v1.2/WebHook/WebHook/TestExecute
POST /openwowi/v1.2/WebHook/WebHook/TestExecute HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 8
{
"Id": 1
}{
"Id": 1,
"Name": "text"
}Zuletzt aktualisiert
